Bug 89084 - phpwiki corrupts database on RH9 but not RH8
phpwiki corrupts database on RH9 but not RH8
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: db31 (Show other bugs)
9
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jindrich Novy
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-04-17 09:21 EDT by Alan Cox
Modified: 2013-07-02 18:58 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-02-15 07:34:10 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Alan Cox 2003-04-17 09:21:42 EDT
Description of problem:

phpwiki is running on a system that was RH8 and updated to RH9. For various
reasons the system is currently running the RH8 errata kernel (2.4.18-19.8.0)
not RH9 kernel images
at the moment

How reproducible:

Reproducable several times a day

Steps to Reproduce:
1. Use phpwiki editing a bit
    
Actual results:
PHPwiki pear interface starts reporting errors. db3_verify reports corruption,
db3_dump/rebuild recovers the database

Expected results:
It to work as it always did before
Comment 1 Joe Orton 2003-04-17 09:27:07 EDT
Mr Blizzard said:

"
I've also heard that python db3 bindings are broken on RH9.  He said
"just run the tests."
                                                                                
Coincidence?
"

so that might be a repro case.
Comment 2 Jindrich Novy 2006-02-15 07:34:10 EST
This can be caused not only by db, but the noted python bindings, etc. Since
there's a lack of 100% reproducible test case and the bug is rather old, closing
this NOTABUG.

If you see a similar behaviour in db4, please report a new bug. Thanks.

Note You need to log in before you can comment on or make changes to this bug.